import request from '@/utils/request'

export function getPatientList(params) {
  return request({
    url: '/api/his/patient/list',
    method: 'get',
    params: params
  })
}

export function getPrescriptionTemplateList(params) {
  return request({
    url: '/api/his/prescriptiontemplate/list',
    method: 'get',
    params: params
  })
}

export function getPrescriptionTemplateInfo(params) {
  return request({
    url: '/api/his/prescriptiontemplate/info',
    method: 'get',
    params: params
  })
}

export function getPrescriptionModeTemplateInfo(params) {
  return request({
    url: '/api/his/prescriptionmodetemplate/info',
    method: 'get',
    params: params
  })
}

export function createdTemplate(params, data) {
  return request({
    url: '/api/his/prescriptiontemplate/create',
    method: 'post',
    data: data,
    params: params
  })
}

export function createdModeTemplate(params, data) {
  return request({
    url: '/api/his/prescriptionmodetemplate/create',
    method: 'post',
    data: data,
    params: params
  })
}

export function delHisPrescriptionTemplate(params) {
  return request({
    url: '/api/his/prescriptiontemplate/delete',
    method: 'post',
    params: params
  })
}

export function delHisPrescriptionInfoTemplate(params) {
  return request({
    url: '/api/his/prescriptioninfotemplate/delete',
    method: 'post',
    params: params
  })
}

export function delHisPrescriptionAdviceTemplate(params) {
  return request({
    url: '/api/his/advicetemplate/delete',
    method: 'post',
    params: params
  })
}

export function delHisPrescriptionProjectTemplate(params) {
  return request({
    url: '/api/his/projecttemplate/delete',
    method: 'post',
    params: params
  })
}

export function getModeTempaleteName(params) {
  return request({
    url: '/api/his/getmodetemplatename',
    method: 'get',
    params: params
  })
}

export function delHisModePrescriptionTemplate(params) {
  return request({
    url: '/api/his/prescriptionmodetemplate/delete',
    method: 'post',
    params: params
  })
}

export function delHisModePrescriptionProjectTemplate(params) {
  return request({
    url: '/api/his/projectmodetemplate/delete',
    method: 'post',
    params: params
  })
}

export function delHisModePrescriptionAdviceTemplate(params) {
  return request({
    url: '/api/his/advicempdetemplate/delete',
    method: 'post',
    params: params
  })
}

export function delHisModePrescriptionInfoTemplate(params) {
  return request({
    url: '/api/his/prescriptioninfomodetemplate/delete',
    method: 'post',
    params: params
  })
}
